> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/reporting.md).

# Reporting

## Reporting insights download

> Returns a Reporting Data archive (zip) file that contains Apache Parquet files with table content for each of the seven concepts (community, domain, asset, attribute, relation, responsibility and usage) for one day (=snapshot date). Please refer to the Reporting Data Layer product documentation for more information at \[Working with your reporting data]\(<https://productresources.collibra.com/docs/collibra/latest/Content/Reporting/co\\_working-with-data.htm).\\><br />Collibra Insights Data Access provides data that may be subject to access restrictions within your organization. Please ensure you follow your organization's policies and have approval to access this data.\<br />This operation is deprecated and it will be removed in the future.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["insights.download"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}}},"paths":{"/reporting/insights/download":{"get":{"tags":["Reporting"],"summary":"Reporting insights download","description":"Returns a Reporting Data archive (zip) file that contains Apache Parquet files with table content for each of the seven concepts (community, domain, asset, attribute, relation, responsibility and usage) for one day (=snapshot date). Please refer to the Reporting Data Layer product documentation for more information at [Working with your reporting data](https://productresources.collibra.com/docs/collibra/latest/Content/Reporting/co_working-with-data.htm).<br />Collibra Insights Data Access provides data that may be subject to access restrictions within your organization. Please ensure you follow your organization's policies and have approval to access this data.<br />This operation is deprecated and it will be removed in the future.","operationId":"getInsightsZip","parameters":[{"name":"snapshotDate","in":"query","description":"Snapshot date for reporting insights data in ISO8601 format (e.g.: 2019-05-14)","schema":{"type":"string"}},{"name":"format","in":"query","description":"Archive format. Currently only ZIP format is accepted","schema":{"type":"string","default":"zip"}}],"responses":{"200":{"description":"Insights has been downloaded","content":{"*/*":{"schema":{"type":"string","description":"Archive payload","format":"binary"}}}},"400":{"description":"Bad Request"},"404":{"description":"There is no insights for given date"},"406":{"description":"The selected format is not acceptable"}},"deprecated":true}}}}
```

## Reporting insights download directly from cloud storage

> Returns a Reporting Data archive (zip) file that contains Apache Parquet files with table content for each of the seven concepts (community, domain, asset, attribute, relation, responsibility and usage) for one day (=snapshot date). Please refer to the Reporting Data Layer product documentation for more information at \[Working with your reporting data]\(<https://productresources.collibra.com/docs/collibra/latest/Content/Reporting/co\\_working-with-data.htm).\\><br />Collibra Insights Data Access provides data that may be subject to access restrictions within your organization. Please ensure you follow your organization's policies and have approval to access this data.\<br />This endpoint redirects to download the Reporting Data archive (zip) file directly from cloud storage, bypassing the Collibra network. The redirect URL is temporary, valid for 60 seconds by default (see “pre-signed URL” in AWS and GCP docs for more details). You will need to allow redirects for this endpoint to work correctly.\<br />Note: The "Try it out" button in the documentation UI might not work properly. To test this endpoint, please use curl with "-L" option to follow redirects.&#x20;

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["insights.download"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}}},"paths":{"/reporting/insights/directDownload":{"get":{"tags":["Reporting"],"summary":"Reporting insights download directly from cloud storage","description":"Returns a Reporting Data archive (zip) file that contains Apache Parquet files with table content for each of the seven concepts (community, domain, asset, attribute, relation, responsibility and usage) for one day (=snapshot date). Please refer to the Reporting Data Layer product documentation for more information at [Working with your reporting data](https://productresources.collibra.com/docs/collibra/latest/Content/Reporting/co_working-with-data.htm).<br />Collibra Insights Data Access provides data that may be subject to access restrictions within your organization. Please ensure you follow your organization's policies and have approval to access this data.<br />This endpoint redirects to download the Reporting Data archive (zip) file directly from cloud storage, bypassing the Collibra network. The redirect URL is temporary, valid for 60 seconds by default (see “pre-signed URL” in AWS and GCP docs for more details). You will need to allow redirects for this endpoint to work correctly.<br />Note: The \"Try it out\" button in the documentation UI might not work properly. To test this endpoint, please use curl with \"-L\" option to follow redirects. ","operationId":"getPreSignedInsightsZip","parameters":[{"name":"snapshotDate","in":"query","description":"Snapshot date for reporting insights data in ISO8601 format (e.g.: 2019-05-14)","schema":{"type":"string"}},{"name":"format","in":"query","description":"Archive format. Currently only ZIP format is accepted","schema":{"type":"string","default":"zip"}}],"responses":{"307":{"description":"Redirect to a temporal URL to download Insights"},"400":{"description":"Bad Request"},"404":{"description":"There is no insights for given date"},"406":{"description":"The selected format is not acceptable"}}}}}}
```
